$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64      = 'https://gitlab.com/librewolf-community/browser/windows/uploads/eebb563a4e628d76e26da0e89b50216b/librewolf-97.0.1.en-US.win64-setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url64bit      = $url64

  softwareName  = 'LibreWolf'

  checksum64    = '84663a4eb50064d41f01cf6ee7564200a4ce138e1176c74d3c6ae236cf585275'
  checksumType64= 'sha256'

  silentArgs   = '/S'
  validExitCodes= @(0)
}

try {
  Install-ChocolateyPackage @packageArgs
} catch  {
  if($_.Exception.Message -match "Exit code was '2'") {
    throw "The installer exited with code 2. This means LibreWolf is probably still running. Close LibreWolf and try again."
  } else {
    throw $_.Exception
  }
}
